Package org.sunflow.system

# Enum Class UI.PrintLevel

java.lang.Object
java.lang.Enum<UI.PrintLevel>
org.sunflow.system.UI.PrintLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<UI.PrintLevel>`, `Constable`

Enclosing class:
  `UI`

public static enum UI.PrintLevel extends Enum<UI.PrintLevel>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DETAIL`
`ERROR`
`INFO`
`WARN`

## Method Summary

Modifier and Type
Method
Description
`static UI.PrintLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UI.PrintLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERROR

public static final UI.PrintLevel ERROR

### WARN

public static final UI.PrintLevel WARN

### INFO

public static final UI.PrintLevel INFO

### DETAIL

public static final UI.PrintLevel DETAIL

## Method Details

### values

public static UI.PrintLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UI.PrintLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null